<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Settings used by the videochat module.
 *
 * @package    mod
 * @subpackage videochat
 * @copyright  2011 videochat
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or late
 **/

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {
    require_once($CFG->dirroot.'/mod/videochat/locallib.php');

    /** RTMP Server settings */
    $settings->add(new admin_setting_configtext('rtmp_host3', get_string('rtmplabel', 'videochat'),
            get_string('rtmpdesc', 'videochat'), 'rtmp://localhost/videowhisper', PARAM_TEXT));
    $settings->add(new admin_setting_configtext('rtmfp_host3', get_string('rtmfplabel', 'videochat'),
            get_string('rtmfpdesc', 'videochat'), 'rtmfp://stratus.adobe.com/f1533cc06e4de4b56399b10d-1a624022ff71/', PARAM_TEXT));
    $settings->add(new admin_setting_configtext('rtmp_amf3', get_string('amflabel', 'videochat'),
            get_string('amfdesc', 'videochat'), 'AMF3', PARAM_TEXT));

    $settings->add(new admin_setting_configtext('camMaxBandwidth3', get_string('camMaxBandwidthlabel', 'videochat'),
            get_string('camMaxBandwidthdesc', 'videochat'), '81920', PARAM_INT));
    $settings->add(new admin_setting_configtext('bufferLive3', get_string('bufferLivelabel', 'videochat'),
            get_string('bufferLivedesc', 'videochat'), '0.5', PARAM_TEXT));
    $settings->add(new admin_setting_configtext('bufferFull3', get_string('bufferFulllabel', 'videochat'),
            get_string('bufferFulldesc', 'videochat'), '0.5', PARAM_TEXT));
    $settings->add(new admin_setting_configtext('bufferLivePlayback3', get_string('bufferLivePlaybacklabel', 'videochat'),
            get_string('bufferLivePlaybackdesc', 'videochat'), '0.2', PARAM_TEXT));
    $settings->add(new admin_setting_configtext('bufferFullPlayback3', get_string('bufferFullPlaybacklabel', 'videochat'),
            get_string('bufferFullPlaybackdesc', 'videochat'), '0.5', PARAM_TEXT));
    $settings->add(new admin_setting_configcheckbox('disableBandwidthDetection3', get_string('disableBandwidthDetectionlabel', 'videochat'),
            get_string('disableBandwidthDetectiondesc', 'videochat'), '0', PARAM_TEXT));
    $settings->add(new admin_setting_configcheckbox('disableUploadDetection3', get_string('disableUploadDetectionlabel', 'videochat'),
            get_string('disableUploadDetectiondesc', 'videochat'), '0', PARAM_TEXT));
    $settings->add(new admin_setting_configcheckbox('limitByBandwidth3', get_string('limitByBandwidthlabel', 'videochat'),
            get_string('limitByBandwidthdesc', 'videochat'), '0', PARAM_TEXT));
    $settings->add(new admin_setting_configcheckbox('autoSnapshots3', get_string('autoSnapshotslabel', 'videochat'),
            get_string('autoSnapshotsdesc', 'videochat'), '0', PARAM_TEXT));
			
    $settings->add(new admin_setting_configtext('snapshotsTime3', get_string('snapshotsTimelabel', 'videochat'),
            get_string('snapshotsTimedesc', 'videochat'), '20000', PARAM_TEXT));
    $settings->add(new admin_setting_configtext('adServer3', get_string('adServerlabel', 'videochat'),
            get_string('adServerdesc', 'videochat'), '2_ads.php', PARAM_TEXT));
    $settings->add(new admin_setting_configtext('adsInterval3', get_string('adsIntervallabel', 'videochat'),
            get_string('adsIntervaldesc', 'videochat'), '600000', PARAM_TEXT));
    $settings->add(new admin_setting_configtext('adsTimeout3', get_string('adsTimeoutlabel', 'videochat'),
            get_string('adsTimeoutdesc', 'videochat'), '20000', PARAM_TEXT));
			
}